Hi, Peter,

thanks for your prompt help!

On 01/13/2017 03:23:05 PM, Peter Bloomfield wrote:
Hi Andreas,

On 01/13/2017 07:27:20 AM Fri, Andreas Schmidt wrote:
Hi,

I have a similar problem.

On 11/29/2016 08:47:22 AM, Helmut Jarausch wrote:
Hi,

probably after the update to gtk+-3.22.4 the GIT-version of Balsa (gtk3 branch) fails to compile:
The last version of balsa I could compile (using this now) is 2.5.2-71-gd032986. Meanwhile, GTK+ is at version 3.22.6-1 (Debian/sid), and I just tried compiling balsa from the current master branch.

libbalsa.c: In function 'ask_cert_real':
libbalsa.c:564:5: error: 'gtk_window_set_wmclass' is deprecated [-Werror=deprecated-declarations]

libbalsa.c: In function 'ask_timeout_real':
libbalsa.c:611:5: error: 'gtk_window_set_wmclass' is deprecated [-Werror=deprecated-declarations]

Those errors were fixed (I hope!) with commit 1a894f5f0e2776d6ad963bf5a6b4d2aa708ee8e8.
I guess so -- at least I didn't get these errors.

Different output here:

***
imap-tls.c:113:1: error: ‘dyn_destroy_function’ defined but not used [-Werror=unused-function]
 dyn_destroy_function(struct CRYPTO_dynlock_value *l,
 ^~~~~~~~~~~~~~~~~~~~
imap-tls.c:103:1: error: ‘dyn_lock_function’ defined but not used [-Werror=unused-function]
 dyn_lock_function(int mode, struct CRYPTO_dynlock_value *l,
 ^~~~~~~~~~~~~~~~~
imap-tls.c:91:1: error: ‘dyn_create_function’ defined but not used [-Werror=unused-function]
 dyn_create_function(const char *file, int line)
 ^~~~~~~~~~~~~~~~~~~
imap-tls.c:80:1: error: ‘id_function’ defined but not used [-Werror=unused-function]
 id_function(void)
 ^~~~~~~~~~~
imap-tls.c:71:1: error: ‘locking_function’ defined but not used [-Werror=unused-function]
 locking_function(int mode, int n, const char *file, int line)
 ^~~~~~~~~~~~~~~~
cc1: all warnings being treated as errors
***

Pinning down exactly when OpenSSL introduced that problem is proving difficult--please try the attached patch.
The patch seems to work -- no errors this time!

The pattern is the same, though: Warnings are treated as errors (how can I stop that?), and therefore, the build fails. I have attached the logfile from make.

Building in a git tree turns warnings into errors, and Balsa detects that you are building in a git tree by the presence of a .git subdirectory. If you rename it, warnings will be left as warnings (but git will not recognize it as a git tree!).
Great! Before applying the patch, I tried renaming the .git subdirectory and balsa compiled without problems. However, I just noticed something different: When I compile balsa without .git, Balsa-->About shows the expected version number (2.5.3). Now, with the subdir present again, I get version 2.5.2-357-g0f6c528a. I guess, the suffix is necessary for git, but shouldn't the version number start with 2.5.3, too?

Best regards

Andreas

Attachment: pgp2ac9y7tU1h.pgp
Description: PGP signature

_______________________________________________
balsa-list mailing list
balsa-list@gnome.org
https://mail.gnome.org/mailman/listinfo/balsa-list

Reply via email to